import { Plugin, ToolbarItemType } from '../plugin';
export type FullscreenPluginParams = {
    enabled?: boolean;
};
export declare class FullscreenPlugin extends Plugin<FullscreenPluginParams> {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    protected onLoad(): void;
    get enabled(): boolean;
    toggle(): void;
    enable(): void;
    disable(): void;
}
